Subject: Re: bug#17146: 24.4.50; File save with incapable coding system precluded by strange error message

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 May 2014 09:20:51 +0300

> Date: Sun, 4 May 2014 19:01:34 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > > > This change is backward-incompatible, but is not in NEWS for some
> > > > reason.  Needless to say, the canonical way of fixing the fallout is
> > > > not described in NEWS.  Are functions that need Help mode supposed to
> > > > let-bind these hooks?  If so, the patch below should fix the problem.
> > > > In any case, please document the change and the way to adapt to it in
> > > > NEWS.
> > >
> > > Please see bug #17109.  FWIW, this regression really bothers me.
> > 
> > I read the mailing list, so I'm perfectly aware of that bug and the
> > related discussions.  Please don't hijack this bug to hold it hostage
> > to that one.  This bug is about a related issue, but one thing it is
> > _not_ about is reverting the change in question.  So talking here
> > instead of on #17109 is not useful.
> 
> It is now two months later, the 24.4 pretest is out, and there still
> has been no follow-up for this "related-issue" bug - or for #17109,
> for that matter.  I was hoping to get some guidance from the fix for
> #17146, at least.

#17146 (this bug) is no longer present in the current pretest.  So I'm
going to mark this bug "done".

> I am still left wondering (a) whether there is an intention
> to fix what has been broken for Emacs 24.4, and (b) if not, how
> I will need to go about fixing the damage myself locally.
> 
> See also bug #17397, which I filed recently.  Help commands
> (seemingly because they now use only `with-help-window') no longer
> invoke `temp-buffer-show-hook', and this breaks quite a bit for me
> (whether I use one of my own help commands or a vanilla one).
> 
> The Lisp manual has still not been updated to reflect all of the
> changes, AFAICT.  It still says clearly, for instance, that
> `with-output-to-temp-buffer' switches to Help mode, which it
> does *not* (bug #17109):
> 
>   "Unlike `with-output-to-temp-buffer', however, it
>    [`with-temp-buffer-window'] does not automatically switch
>    that buffer to Help mode."
> 
> And this text was updated for release 24.4 to add the word
> "automatically", so presumably someone also paid some attention
> to its continued claim regarding `with-output-to-temp-buffer'.

This part of the discussion should probably be elsewhere, maybe in
#17109, maybe in a separate bug report (with new details about the
signs of damage you see in your code).